<template>
  <div class="liste">
    <h1>Items de la liste : {{this.liste.nom}}</h1>
       <ListeItem
      v-for="listItem in listItems"
      v-bind:key="listItem.id"
      v-bind:listItem="listItem"
    ></ListeItem>

      <router-link v-bind:to="url" class='add'>Nouvelle item</router-link>
  </div>
</template>

<script>
import ListeItem from "../components/ListeItemComponent.vue";

export default {
  name: "App",
  components: {
    ListeItem
  },
  data: () => {
    return {
      liste: '',
      listItems: '',
      id : String
    };
  },
  computed: {
        url() {
            return '/list/' + this.id+'/add';
        }
    },
  created(){
      this.id = this.$route.params.id
      let currentListe = this.id;
      var listes = JSON.parse(localStorage.getItem("listes"));
      var listeItems = JSON.parse(localStorage.getItem("items"));
      this.liste = listes.filter(function (liste) { return liste.id == currentListe})[0];
      this.listItems = (listeItems != null ? listeItems.filter(function (items) { return items.idListe == currentListe}) : null);
  },
};

</script>

<style scoped>
/*    Bouton d'ajout     */
.add{
  text-decoration: none;
  background-color: rgb(16, 172, 16);
  color : white;
  padding: 3px 6px;
}

.add:hover{
   background-color: rgb(77, 224, 77);
}
</style>